Xapian: API Documentation: Xapian::ESet Class Reference

xapian-core 1.4.22

Public Member Functions | List of all members
Xapian::ESet Class Reference

Class representing a list of search results. More...

`#include <eset.h>`

## Public Member Functions
| ESet (const ESet &o)
| Copying is allowed. More...
ESet & | operator= (const ESet &o)
| Copying is allowed. More...
| ESet ()
| Default constructor. More...
| ~ESet ()
| Destructor.
Xapian::doccount | size () const
| Return number of items in this ESet object.
bool | empty () const
| Return true if this ESet object is empty.
Xapian::termcount | get_ebound () const
| Return a bound on the full size of this ESet object. More...
void | swap (ESet &o)
| Efficiently swap this ESet object with another.
ESetIterator | begin () const
| Return iterator pointing to the first item in this ESet.
ESetIterator | end () const
| Return iterator pointing to just after the last item in this ESet.
ESetIterator | operator[] (Xapian::doccount i) const
| Return iterator pointing to the i-th object in this ESet.
ESetIterator | back () const
| Return iterator pointing to the last object in this ESet.
std::string | get_description () const
| Return a string describing this object.

## Detailed Description

Class representing a list of search results.

## Constructor & Destructor Documentation

## ◆ ESet() [1/2]

Xapian::ESet::ESet | ( | const ESet & | o | ) |

Copying is allowed.

The internals are reference counted, so copying is cheap.

## ◆ ESet() [2/2]

Xapian::ESet::ESet | ( |  | ) |

Default constructor.

Creates an empty ESet, mostly useful as a placeholder.

## Member Function Documentation

## ◆ get_ebound()

Xapian::termcount Xapian::ESet::get_ebound | ( |  | ) | const

Return a bound on the full size of this ESet object.

This is a bound on size() if get_eset() had been called with maxitems set high enough that all results were returned.

## ◆ operator=()

ESet & Xapian::ESet::operator= | ( | const ESet & | o | ) |

Copying is allowed.

The internals are reference counted, so assignment is cheap.

The documentation for this class was generated from the following file:

- xapian/eset.h